#!/bin/sh
#----------------------------------------------------------------------------
# /tmp/install.sh - Installation of dsl package
#
# Creation:    2004-09-02 fm
# Last update: $Id: install.sh 77706 2020-05-28 15:49:23Z hbfl $
#
# Copyright (c) 2004-2005 Frank Meyer frank(at)eisfair(dot)org
# Copyright (c) 2010-2020 Holger Bruenjes, holgerbruenjes(at)gmx(dot)net
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 2 of the License, or
# (at your option) any later version.
#----------------------------------------------------------------------------

# set package name
package_name=dsl

# ---------------------------------------------------------------------------
# add menu
# ---------------------------------------------------------------------------
/var/install/bin/create-menu \
    --quiet \
    --menu setup.system.network.menu \
    --title 'Network administration' \
    --package 'base'

/var/install/bin/add-menu \
    setup.system.network.menu \
    setup.system.network.${package_name}.menu \
    "DSL (PPPoE) administration"

/var/install/bin/del-menu \
    setup.services.menu \
    setup.services.${package_name}.menu

# ---------------------------------------------------------------------------
# create default config
# ---------------------------------------------------------------------------
if [ -f "/etc/config.d/${package_name}" ]
then
    update=true
fi

/var/install/config.d/${package_name}-update.sh

rm -f /var/install/config.d/${package_name}-update.sh

# ---------------------------------------------------------------------------
# start configuration editor
# ---------------------------------------------------------------------------
if ${update:-false}
then
    /var/install/config.d/${package_name}.sh

    . /etc/config.d/${package_name}

    if [ "${START_DSL}" = "yes" ]
    then
        /etc/init.d/${package_name} start
        (
            /usr/bin/ping -c 1 www.fli4l.de 2>/dev/null
            sleep 1

            i=1
            while [ ${i} -le 7 ]
            do
                /usr/bin/ping -c 1 www.fli4l.de 2>/dev/null
                if [ ${?} -eq 0 ]
                then
                    break
                fi

                /usr/bin/sleep 2
                i=$((${i} + 1))
            done
        ) >/dev/null
    fi
fi

exit 0
# ----------------------------------------------------------------------------
# end
# ----------------------------------------------------------------------------
